package trmpj;

import java.util.concurrent.ConcurrentHashMap;

import org.apache.commons.lang3.RandomStringUtils;

/**
 * websocket処理の親クラス
 * @author furuta
 *
 */
public class TWs {

    /**
     * onOpen, onMessage, onCloseを結び付けるキー名称
     */
    public static final String KEY_ACCESS_ID = "__access_id";

    /**
     * アクセスID => セッションのマップ
     */
    protected static ConcurrentHashMap<String, TSession> sessions = new ConcurrentHashMap<String, TSession>();

    /**
     * アクセスIDを取得する
     * @return String
     */
    public static String generateAccessId() {
        long makeTimestamp = System.currentTimeMillis();
        String accessId = String.valueOf(makeTimestamp) +  "+" + RandomStringUtils.random(32).toLowerCase();
        return accessId;
    }
}
